[B065] Antigen-Antibody Pairing Search
Search related antibody sequence information through antigen name, including antigen sequence, antibody heavy/light chain sequences, UniProt ID, source, etc.
antigen_name is required, page must be >=1, rows must be >=1 and <=10
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | TRBV6-2 | Antigen name |
| integer<int32> | 1 | Page number (must be >=1) |
| integer<int32> | 10 | Rows per page (must be >=1 and <=10) |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
page | integer<int32> | 1 | Current page number |
rows | integer<int32> | 10 | Rows per page |
items | array | Please check the form: AntibodyDetail | Result items |
source | object | Please check the form: AntibodyPatentInfo | Source information |
source_type | string | patent | Data source type |
antibody_patent_id | string | AB_12345678 | Antibody patent ID |
antibody_patent_number | string | CN302052315S | patent number |
heavy_chain_sequence_id | string | HC_12345678 | PatSnap internal heavy chain sequence ID |
light_chain_sequence_id | string | LC_12345678 | PatSnap internal light chain sequence ID |
affinity_id | string | n14778540229713683257531356477449681766 | Affinity search ID |
antigen_name | string | CD19 | Antigen name |
antibody_name | array | [
"Rituximab"
] | Antibody name list |
antigen_species | string | Human | Antigen species |
antigen_uniport | array | Please check the form: AntibodyUniport | Antigen UniProt list |
uniprot_id | string | P15391 | Antigen uniprot ID |
uniprot_id_seq | string | MKLLVVVLFLGAETTGSTQQLIQESGPGLVAPSQSLSITCTVSGFSLTNYGVHWVRQSPGKGLEWLGVIWSGGNTDYNTPFTSRLSINKDNSKSQVFFKMNSLQSNDTAIYYCARDYRYDYWGQGTLVTVSS | Antigen uniprot ID sequence |
antigen_sequence | string | MKLLVVVLFLGAETTGSTQQLIQESGPGLVAPSQSLSITCTVSGFSLTNYGVHWVRQSPGKGLEWLGVIWSGGNTDYNTPFTSRLSINKDNSKSQVFFKMNSLQSNDTAIYYCARDYRYDYWGQGTLVTVSS | Antigen sequence |
antibody_sequence | object | Please check the form: AntibodySequenceInfo | Antibody sequence information |
antibody_heavy_chain | string | EVQLVESGGGLVQPGGSLRLSCAASGFTFSSYAMSWVRQAPGKGLEWVSAISGSGGSTYYADSVKGRFTISRDNSKNTLYLQMNSLRAEDTAVYYCARDYRYDYWGQGTLVTVSS | Antibody heavy chain sequence |
antibody_light_chain | string | DIQMTQSPSSLSASVGDRVTITCRASQDVNTAVAWYQQKPGKAPKLLIYSASFLYSGVPSRFSGSRSGTDFTLTISSLQPEDFATYYCQQHYTTPPTFGQGTKVEIK | Antibody light chain sequence |
heavy_chain_sequence_number | integer<int64> | 123456789 | Heavy chain sequence number |
light_chain_sequence_number | integer<int64> | 987654321 | Light chain sequence number |
total | integer<int64> | 100 | Total |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"page": 1,
"rows": 10,
"items": [
{
"source": {
"source_type": "patent",
"antibody_patent_id": "AB_12345678",
"antibody_patent_number": "CN302052315S",
"heavy_chain_sequence_id": "HC_12345678",
"light_chain_sequence_id": "LC_12345678"
},
"affinity_id": "n14778540229713683257531356477449681766",
"antigen_name": "CD19",
"antibody_name": [
"Rituximab"
],
"antigen_species": "Human",
"antigen_uniport": [
{
"uniprot_id": "P15391",
"uniprot_id_seq": "MKLLVVVLFLGAETTGSTQQLIQESGPGLVAPSQSLSITCTVSGFSLTNYGVHWVRQSPGKGLEWLGVIWSGGNTDYNTPFTSRLSINKDNSKSQVFFKMNSLQSNDTAIYYCARDYRYDYWGQGTLVTVSS"
}
],
"antigen_sequence": "MKLLVVVLFLGAETTGSTQQLIQESGPGLVAPSQSLSITCTVSGFSLTNYGVHWVRQSPGKGLEWLGVIWSGGNTDYNTPFTSRLSINKDNSKSQVFFKMNSLQSNDTAIYYCARDYRYDYWGQGTLVTVSS",
"antibody_sequence": {
"antibody_heavy_chain": "EVQLVESGGGLVQPGGSLRLSCAASGFTFSSYAMSWVRQAPGKGLEWVSAISGSGGSTYYADSVKGRFTISRDNSKNTLYLQMNSLRAEDTAVYYCARDYRYDYWGQGTLVTVSS",
"antibody_light_chain": "DIQMTQSPSSLSASVGDRVTITCRASQDVNTAVAWYQQKPGKAPKLLIYSASFLYSGVPSRFSGSRSGTDFTLTISSLQPEDFATYYCQQHYTTPPTFGQGTKVEIK",
"heavy_chain_sequence_number": 123456789,
"light_chain_sequence_number": 987654321
}
}
],
"total": 100
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms